Results 1 to 8 of 8

Thread: bcm4312 UDI:14e4-4315 wireless not support?

  1. #1
    Join Date
    Dec 2008
    Location
    Malaysia
    Posts
    235

    Default bcm4312 UDI:14e4-4315 wireless not support?

    Hi I'm using 11.1 KDE4.1.3 x86-64 on my Compaq laptop,wonder if that bcm wlan driver from packman would work? This is my network cad info :

    [IMG][/IMG]
    Dell Latitude D620~Intel Core2Duo T2300 1.66GHz~Intel 945GM~DDR2 667 2GB~openSUSE 12.1 KDE x86.

  2. #2
    STS301 NNTP User

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    try with su "ifconfig" if there are three interfaces (eth0, lo and ra0/wlan0/wifi/ath0) it should be.

    If there are not three, go to the Yast systemsettings --> Network configuration --> Network cards (or something) and look if there is only an ethernet interface or more.

  3. #3
    Join Date
    Dec 2008
    Location
    Malaysia
    Posts
    235

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    in result of 'ifconfig',only eth0 & lo. In Network Setting,show only Ethenet. I haven't install that bcm4312 driver,should I?
    Dell Latitude D620~Intel Core2Duo T2300 1.66GHz~Intel 945GM~DDR2 667 2GB~openSUSE 12.1 KDE x86.

  4. #4
    STS301 NNTP User

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?


  5. #5

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    More information on installing the BCM4311/4312/4321/4322 driver can be found here:

    Fix BCM4311/4312/4321/4322 Wireless in openSUSE 11.1 and earlier | SUSE & openSUSE


    This worked for me when using the BCM4312 on a Dell notebook. My only issue is the lack of monitor mode support.

  6. #6
    Join Date
    Dec 2008
    Location
    Malaysia
    Posts
    235

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    I've installed that bcm4312 driver from packman,the latest version,built 5th Jan 2008,my wifi still not working. After bcm4312 driver installed,my WiMAX connection also stop working,now I have to remove the driver to get it work. Now there's a new boot option appear on boot 'Debug--openSUSE 11.1 2.6.27-7.9',is it normal? Should I leave it there?
    Dell Latitude D620~Intel Core2Duo T2300 1.66GHz~Intel 945GM~DDR2 667 2GB~openSUSE 12.1 KDE x86.

  7. #7
    Join Date
    Dec 2008
    Location
    Malaysia
    Posts
    235

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    Solved! Wifi running smooth now after install bcm driver from Packman repo.
    Dell Latitude D620~Intel Core2Duo T2300 1.66GHz~Intel 945GM~DDR2 667 2GB~openSUSE 12.1 KDE x86.

  8. #8
    Join Date
    Jun 2008
    Location
    Kansas City Area, Missouri, USA
    Posts
    7,236

    Default Re: bcm4312 UDI:14e4-4315 wireless not support?

    chenxiaolong wrote:
    > How would I install that? If it's in a repository, what package do I
    > install? Or do I need to build compat-wireless and install the firmware
    > (if so what version?)?


    When you hijack a thread, it is difficult to get context. Please do
    not do this again.

    You could install the very latest version of compat-wireless (After
    Sept. 1, 2009), but you would have to build it yourself as the package
    in the repo does not have the latest code. With this you would need to
    install the normal firmware.

    Your other option would be to install the Broadcom-wl package from
    Akoellh's repository. This package has the firmware built in.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •